complexType "Reason"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 5 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | reasonCode, location?, description?, validationRuleId?, additionalData*
</...>

Content Model Elements (5):

  additionalData (defined in Reason complexType), description (defined in Reason complexType), location (defined in Reason complexType), | reasonCode, validationRuleId

All Direct / Indirect Based Elements (6):

  reason (defined in Exception.model group), reason (in allocationRefused), reason (in clearingRefused), | reason (in clearingStatusItem), reason (in confirmationDisputed), reason (in consentRefused)

Known Usage Locations

- As direct type of elements (6):

  reason (defined in Exception.model group), reason (in allocationRefused), reason (in clearingRefused), | reason (in clearingStatusItem), reason (in confirmationDisputed), reason (in consentRefused)

Annotation
A type defining a content model for describing the nature and possible location of a error within a previous message.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="Reason"> <xsd:sequence> <xsd:element name="reasonCode" type="ReasonCode"/> <xsd:element minOccurs="0" name="location" type="ProblemLocation"/> <xsd:element minOccurs="0" name="description" type="xsd:string"/> <xsd:element minOccurs="0" name="validationRuleId" type="Validation"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalData" type="AdditionalData"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
additionalData

  Type: | AdditionalData, complex content

  Any string of additional data that may help the message processor, for example in a rejection message this might contain a code value or the text of any one of the messages (within a CDATA section).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalData" type="AdditionalData"/>

description

  Type: | xsd:string, predefined, simple content

  Plain English text describing the associated error condition
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="description" type="xsd:string"/>

location

  Type: | ProblemLocation, simple content

  A value indicating the location of the problem within the subject message.
  Simple Content

  xsd:normalizedString

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="location" type="ProblemLocation"/>

reasonCode

  Type: | ReasonCode, simple content

  A machine interpretable error code.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="reasonCode" type="ReasonCode"/>

validationRuleId

  Type: | Validation, simple content

  A reference identifying a rule within a validation scheme
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="validationRuleId" type="Validation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.